using GraphicsManager.Enums;
using Luski.GUI.MainScreen.UI.LuskiControls.SettingsMenuBase.Core;
using Luski.net;
using OpenTK.Mathematics;

namespace Luski.GUI.MainScreen.UI.PublicServers.ServerSettings.Pages.Server.Roles;

public class Roles : PageUserControl
{
    private ServerRoleInteraction Page;
    
    public Roles(PublicServer ps)
    {
        PageName = "Roles";
        Page = new(ps, this)
        {
            Location = new(0, TitleLable.Size.Y),
            Anchor = ObjectAnchor.All
        };
        Controls.Add(Page);
        Globals.ms.ForceUpdate();
    }

    public override Color4 BackgroundColor
    {
        get
        {
            return base.BackgroundColor;
        }
        set
        {
            base.BackgroundColor = value;
            Page.BackgroundColor = value;
        }
    }
}